# adsms

Send SMS aircraft alerts based on ADS-B data

![Screenshot of text sent by adsms](screenshot.jpg)

## Usage

Copy the configuration file, make any necessary changes, and run:

    ./adsms.py <configuration_file>

## Configuration file

* `textbelt_key`: your [Textbelt](https://textbelt.com) API key
* `data`: a URL to a readsb/tar1090 `aircraft.json` endpoint
* `tracker`: a URL to a tar1090 tracker (e.g. https://globe.theairtraffic.com/)
* `database`: an SQLite file in which to store subscriptions
* `pid_file`: path to which to write the PID (set to empty string to not write
  a PID file)
* `max_age`: maximum age of aircraft pings in seconds; pings older than this
  will be ignored
* `min_disappearance`: the minimum time in seconds for which an aircraft must
  go "off the radar" before disappearing for new pings to trigger notifications
  again
* `delay`: time to wait after processing all rules before running the loop
  again
